<?php
/* This file is part of the wp-forecast plugin for wordpress */

/*  Copyright 2006  Hans Matzen  (email : webmaster at tuxlog.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//
// this function is called with the language code and returns an array
// with the corresponding translations for wp-forecast
//
function set_translation($LANGUAGE)
{
    $tl=array();
    if ($LANGUAGE=="en") {
        // Translated Labels
	$tl['title'] = "Weather";
	$tl['time']  = "time";
	$tl['barr']  = "current pressure";
	$tl['tmp']   = "current temperature";
	$tl['flik']  = "real feel";
	$tl['hmid']  = "humidity";
	$tl['t']     = "forecast summary";
	$tl['windgust'] = "wind gust speed";
	$tl['winds'] = "wind speed";
	$tl['windt'] = "wind direction (text)";

        // ::::: Translated Forecasts ::::: 
	$tl['01'] = 'Sunny';
	$tl['02'] = 'Mostly sunny';
	$tl['03'] = 'Partly sunny';
	$tl['04'] = 'Intermittent clouds';
	$tl['05'] = 'Hazy sunshine';
	$tl['06'] = 'Mostly cloudy';
	$tl['07'] = 'Cloudy';
	$tl['08'] = 'Dreary (overcast)';
	$tl['11'] = 'Fog';
	$tl['12'] = 'Showers';
	$tl['13'] = 'Mostly cloudy with showers';
	$tl['14'] = 'Partly sunny with showers';
	$tl['15'] = 'Thunderstorms';
	$tl['16'] = 'Mostly cloudy with thundershowers';
	$tl['17'] = 'Partly sunny with thundershowers';
	$tl['18'] = 'Rain';
	$tl['19'] = 'Flurries';
	$tl['20'] = 'Mostly cloudy with flurries';
	$tl['21'] = 'Partly sunny with flurries';
	$tl['22'] = 'Snow';
	$tl['23'] = 'Mostly cloudy with snow';
	$tl['24'] = 'Ice';
	$tl['25'] = 'Sleet';
	$tl['26'] = 'Freezing rain';
	$tl['29'] = 'Rain and snow';
	$tl['30'] = 'Hot';
	$tl['31'] = 'Cold';
	$tl['32'] = 'Windy';

        // night
	$tl['33'] = 'Clear';
	$tl['34'] = 'Mostly clear';
	$tl['35'] = 'Partly cloudy';
	$tl['36'] = 'Intermittent clouds';
	$tl['37'] = 'Hazy moonlight';
	$tl['38'] = 'Mostly cloudy';
	$tl['39'] = 'Partly cloudy with showers';
	$tl['40'] = 'Mostly cloudy with showers';
	$tl['41'] = 'Partly cloudy with thunderstorms';
	$tl['42'] = 'Mostly cloudy with thunderstorms';
	$tl['43'] = 'Mostly cloudy with flurries';
	$tl['44'] = 'Mostly cloudy with snow';
    }


    if ($LANGUAGE=="de"){
	// Translated Labels
	$tl['title'] = "Das Wetter";
	$tl['loc']   = "Ort";
	$tl['time']  = "Uhrzeit";
	$tl['barr']  = "Aktueller Luftdruck";
	$tl['tmp']   = "Aktuelle Temperatur";
	$tl['flik']  = "Gefühlte Temperatur";
	$tl['hmid']  = "Luftfeuchtigkeit";
	$tl['t']     = "Kurze Zusammenfassung der Vorhersage (z.B. 'sunny')";
	$tl['windgust'] = "Windböengeschwindigkeit";
	$tl['winds'] = "Windgeschwindigkeit";
	$tl['windt'] = "Windrichtung (Text)";

        // ::::: Translated Forecasts ::::: 
	$tl['01'] = 'Wolkenlos';
	$tl['02'] = 'Heiter';
	$tl['03'] = 'Heiter bis wolkig';
	$tl['04'] = 'Wolkig';
	$tl['05'] = 'Dunstiger Sonnenschein';
	$tl['06'] = 'Bewölkt';
	$tl['07'] = 'Stark bewölkt';
	$tl['08'] = 'Bedeckt';
	$tl['11'] = 'Nebel';
	$tl['12'] = 'Regenschauer';
	$tl['13'] = 'Bewölkt mit Regenschauern';
	$tl['14'] = 'Wolkig mit Regenschauern';
	$tl['15'] = 'Gewitter';
	$tl['16'] = 'Bewölkt mit Gewitterschauern';
	$tl['17'] = 'Wolkig mit Gewitterschauern';
	$tl['18'] = 'Regen';
	$tl['19'] = 'Schneeschauer';
	$tl['20'] = 'Bewölkt mit Schneeschauern';
	$tl['21'] = 'Wolkig mit Schneeschauern';
	$tl['22'] = 'Schneefall';
	$tl['23'] = 'Bewölkt mit Schneefall';
	$tl['24'] = 'Glatteis';
	$tl['25'] = 'Graupelschauer';
	$tl['26'] = 'Eisregen';
	$tl['29'] = 'Schneeregen';
	$tl['30'] = 'Heiß';
	$tl['31'] = 'Kalt';
	$tl['32'] = 'Windig';

        // night
	$tl['33'] = 'Klare Nacht';
	$tl['34'] = 'Überwiegend klar';
	$tl['35'] = 'Wolkig';
	$tl['36'] = 'Zeitweise wolkig';
	$tl['37'] = 'Dunstig';
	$tl['38'] = 'Bewölkt';
	$tl['39'] = 'Wolkig mit Regenschauern';
	$tl['40'] = 'Bewölkt mit Regenschauern';
	$tl['41'] = 'Wolkig mit Gewitterschauern';
	$tl['42'] = 'Bewölkt mit Gewitterschauern';
	$tl['43'] = 'Bewölkt mit Schneeschauern';
	$tl['44'] = 'Bewölkt mit Schneefall';
    }

    return $tl;
}
?>
